package ec.app.regression.testcases;

public class Keijzer11Factory extends FunctionFactory {

	@Override
	protected int arity() {
		return 2;
	}

	@Override
	protected double function(final Double... x) {
		// x0 * x1 + sin((x0 - 1) * (x1 - 1))
		return x[0] * x[1] + Math.sin((x[0] - 1.0) * (x[1] - 1.0));
	}

	@Override
	public String getSymbolicRepresentation() {
		return "x0 * x1 + sin((x0 - 1) * (x1 - 1))";
	}
}